Bug 727902 - [RFE] RHN API return SRPM info in channel.software.* and packages.getDetails
Summary: [RFE] RHN API return SRPM info in channel.software.* and packages.getDetails
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/API
Version: RHN Stable
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: rhn-dev-list
QA Contact: Red Hat Network Quality Assurance
URL:
Whiteboard:
Depends On: 982948
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-03 15:16 UTC by Tomas Hoger
Modified: 2017-07-05 15:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-05 15:17:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 982948 None None None Never

Internal Links: 982948

Description Tomas Hoger 2011-08-03 15:16:18 UTC
Description of problem:
RHN API calls return various details about packages, but there does not seem to be any that returns source package name, as it displayed on package view webui pages (/rhn/software/packages/details/Overview.do).

Obvious candidate that should have that info is packages.getDetails.  I'd like to see that in channel.software.listLatestPackages too.

Comment 1 Arun Babu Neelicattu 2014-07-18 06:57:41 UTC
Any updates on this?

Comment 2 Thomas "Shea" DeAntonio 2017-07-05 15:17:55 UTC
As you may already be aware, Red Hat is transitioning from the Red Hat Network (RHN) hosted interface to the Red Hat Subscription Management (RHSM) interface in July 2017. Red Hat has invested in and seen success from RHN for many years, and used that experience to build more robust technologies like RHSM. 
 
If you have not yet migrated your RHN systems to RHSM or you are a Red Hat Satellite customer, please review the information from. https://access.redhat.com/products/red-hat-subscription-management#migration. 
 
Since we are shutting down RHN, no further actions will be taken with this bug or enhancement request.  You can find additional information at RHSM product page (https://access.redhat.com/products/red-hat-subscription-management).  If you have further questions, please contact support (https://access.redhat.com/products/red-hat-subscription-management#support).


Note You need to log in before you can comment on or make changes to this bug.